%define	upstream_name	 Gimp
%define upstream_version 2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl module enabling to write plugins for the Gimp2
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Source0:    http://search.cpan.org/CPAN/authors/id/S/SJ/SJBURGES/%upstream_name-%{upstream_version}.tar.gz
Patch1:     Gimp-2.2-fix-str-fmt.patch
Patch2:     Gimp-2.2-linkage.patch
Url:        http://search.cpan.org/~sjburges/Gimp/Gimp.pm

BuildRequires: perl(Data::Dumper) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: perl(PDL)
BuildRequires: gtk+2-devel
BuildRequires: libgimp-devel > 2.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Gtk2
BuildRequires: perl-Parse-RecDescent
BuildRequires: perl-PDL
Requires:   gtk+2
Requires:   libgtk+2
Requires:   perl-Glib >= 1.021
Requires:   perl-PDL
Provides:   gimp-perl = %version
Obsoletes:  gimp-perl < 2.0

# Don't use automatic requires for perl-PDL (#22095):
%global __requires_exclude perl\\(PDL

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p0
%patch2 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
make DESTDIR=%buildroot pure_vendor_install
install -m 755 examples/* $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
perl -pi -e "s^/opt/bin/perl^%_bindir/perl^" $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/*

# fix conflict with gimp-1:
rm -f $RPM_BUILD_ROOT%_mandir/man1/embedxpm.*
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/redeye
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/README
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/examples.TODO

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Gimp/Net/Net.so
chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Gimp/Gimp.so
chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Gimp/Lib/Lib.so
chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Gimp/UI/UI.so

%files
%doc AUTHORS COPYING ChangeLog Changes MAINTAINERS META.json META.yml MYMETA.yml NEWS README TODO UI examples
%_bindir/*
%_mandir/*/*
%_libdir/gimp/2.0/plug-ins/*
%_prefix/lib/perl5/*


%changelog
* Thu Oct 26 2017 bb2 <bb2> - 2.300.0-9pclos2017
- drop epoch

* Wed Jul 12 2017 bb2 <bb2> - 2.300.0-8pclos2017
- rebuild against updates

